Dashboard istatistiklerini getir
curl --request GET \
--url https://vpos-sandbox.payven.com.tr/api/v1/dashboard/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/dashboard/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/dashboard/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"today_transactions": 123,
"today_success_rate": 123,
"today_total_amount": 123,
"today_successful": 123,
"today_failed": 123,
"today_canceled": 123,
"problem_connectors": 123,
"total_connectors": 123,
"transactions_trend": {
"value": 123,
"is_positive": true,
"has_baseline": true
},
"success_rate_trend": {
"value": 123,
"is_positive": true,
"has_baseline": true
},
"amount_trend": {
"value": 123,
"is_positive": true,
"has_baseline": true
},
"trend_buckets": [
{
"label": "<string>",
"transactions": 123
}
],
"status_distribution": [
{
"status": "<string>",
"name": "<string>",
"value": 123,
"color": "<string>"
}
],
"recent_failed_transactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_name": "<string>",
"amount": 123,
"error_message": "<string>",
"connector_name": "<string>",
"created": "2023-11-07T05:31:56Z"
}
]
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}Dashboard
Dashboard istatistiklerini getir
GET
/
api
/
v1
/
dashboard
/
stats
Dashboard istatistiklerini getir
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Query Parameters
Response
OK
Available options:
Today, Last7Days, Last30Days Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I